Name: sendmail
Version: 8.9.3
Release: 1nw2
Summary: A widely used Mail Transport Agent (MTA).
Copyright: BSD
Group: System Environment/Daemons
Provides: smtpdaemon
Source0: ftp://ftp.cs.berkeley.edu/ucb/sendmail/sendmail.%{version}.tar.gz
Source1: sendmail.init
Source2: http://www.informatik.uni-kiel.de/%7Eca/email/rules/check.tar
Source3: aliases
Source4: sendmail.sysconfig
Patch0: sendmail-8.9.3-redhat.patch
Patch1: sendmail-8.9.3-cf.patch
Patch2: sendmail-8.7.1-makemapman.patch
Patch3: sendmail-8.7.1-smrsh.patch
Patch4: sendmail-8.9.3-db1.patch
Patch5: sendmail-8.8.7-rmail.patch
Patch6: sendmail-8.9.3-nw-hack.patch
Patch7: sendmail-8.9.3-links.patch
Patch8: sendmail-8.9.3-accessdb.patch
Buildroot: /var/tmp/sendmail-root
Prereq: /sbin/chkconfig

%description
The Sendmail program is a very widely used Mail Transport Agent
(MTA).  MTAs send mail from one machine to another. Sendmail is not
a client program, which you use to read your email. Sendmail is a
behind-the-scenes program which actually moves your email over networks
or the Internet to where you want it to go.

If you ever need to reconfigure Sendmail, you'll also need to have the
sendmail.cf package installed.  If you need documentation on Sendmail,
you can install the sendmail-doc package.

%package doc
Summary: Documentation about the Sendmail Mail Transport Agent program.
Group: Documentation

%description doc
The sendmail-doc package contains documentation about the Sendmail
Mail Transport Agent (MTA) program, including release notes, the
Sendmail FAQ and a few papers written about Sendmail.  The papers are
provided in PostScript(TM) and troff formats.

Install the sendmail-doc package if you need documentation about
Sendmail.

%package cf
Summary: The files needed to reconfigure Sendmail.
Group: System Environment/Daemons

%description cf
This package includes the configuration files which you'd need to
generate the sendmail.cf file distributed with the sendmail package.
You'll need the sendmail-cf package if you ever need to reconfigure
and rebuild your sendmail.cf file.  For example, the default
sendmail.cf file is not configured for UUCP.  If someday you needed
to send and receive mail over UUCP, you'd need to install the
sendmail-cf package to help you reconfigure Sendmail.

Install the sendmail-cf package if you need to reconfigure your
sendmail.cf file.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
tar xf $RPM_SOURCE_DIR/check.tar -C cf
chown root.root cf/hack/* cf/README.check
if [ -f /usr/lib/libdb1.so ] ; then
%patch4 -p1
fi
%patch5 -p1
%ifarch armv4l
%patch6 -p0
%endif
%patch7 -p0
%patch8 -p1

%build
cd src
sh Build -f ../redhat.config.m4
cd ..

cd mailstats
sh Build -f ../redhat.config.m4
cd ..

cd rmail
sh Build -f ../redhat.config.m4
cd ..

cd makemap
sh Build -f ../redhat.config.m4
cd ..

cd praliases
sh Build -f ../redhat.config.m4
cd ..

cd smrsh
sh Build -f ../redhat.config.m4
cd ..

cd cf/cf
m4 redhat.mc > redhat.cf

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT
cd $RPM_BUILD_ROOT
mkdir -p etc/rc.d/init.d etc/rc.d/rc{0,1,2,3,4,5,6}.d etc/sysconfig
mkdir -p usr/bin usr/lib usr/man/man{1,5,8} usr/sbin var/log var/spool usr/lib/sendmail-cf
cd -
echo "# sendmail.cw - include all aliases for your machine here." > $RPM_BUILD_ROOT/etc/sendmail.cw

OBJDIR=obj.$(uname -s).$(uname -r).$(arch)

make DESTDIR=$RPM_BUILD_ROOT install -C src/$OBJDIR
make DESTDIR=$RPM_BUILD_ROOT install -C mailstats/$OBJDIR
make DESTDIR=$RPM_BUILD_ROOT install -C praliases/$OBJDIR
make DESTDIR=$RPM_BUILD_ROOT force-install -C rmail/$OBJDIR
make DESTDIR=$RPM_BUILD_ROOT install -C makemap/$OBJDIR
ln $RPM_BUILD_ROOT/usr/sbin/makemap $RPM_BUILD_ROOT/usr/bin/makemap
make DESTDIR=$RPM_BUILD_ROOT install -C smrsh/$OBJDIR

mkdir -p $RPM_BUILD_ROOT/etc/smrsh

# install docs by hand
mkdir -p $RPM_BUILD_ROOT/usr/doc/sendmail
cp -ar FAQ KNOWNBUGS README RELEASE_NOTES doc $RPM_BUILD_ROOT/usr/doc/sendmail
cp smrsh/README $RPM_BUILD_ROOT/usr/doc/sendmail/README.smrsh

# install the cf files
cd cf
cp -ar * $RPM_BUILD_ROOT/usr/lib/sendmail-cf
cd -

install -m644 cf/cf/redhat.cf $RPM_BUILD_ROOT/etc/sendmail.cf
install -m644 $RPM_SOURCE_DIR/aliases $RPM_BUILD_ROOT/etc/aliases

ln -sf ../sbin/sendmail $RPM_BUILD_ROOT/usr/lib/sendmail
install -d -m755 -g mail -o root $RPM_BUILD_ROOT/var/spool/mqueue

mkdir -p $RPM_BUILD_ROOT/etc/mail
cd $RPM_BUILD_ROOT/etc/mail
touch ip_allow
touch name_allow
touch relay_allow
touch deny
touch deny.db
chmod 644 deny.db

install -m755 -g root -o root $RPM_SOURCE_DIR/sendmail.init $RPM_BUILD_ROOT/etc/rc.d/init.d/sendmail
install -m755 -g root -o root $RPM_SOURCE_DIR/sendmail.sysconfig $RPM_BUILD_ROOT/etc/sysconfig/sendmail
ln -sf ../init.d/sendmail $RPM_BUILD_ROOT/etc/rc.d/rc0.d/K30sendmail
ln -sf ../init.d/sendmail $RPM_BUILD_ROOT/etc/rc.d/rc1.d/K30sendmail
ln -sf ../init.d/sendmail $RPM_BUILD_ROOT/etc/rc.d/rc2.d/S80sendmail
ln -sf ../init.d/sendmail $RPM_BUILD_ROOT/etc/rc.d/rc3.d/S80sendmail
ln -sf ../init.d/sendmail $RPM_BUILD_ROOT/etc/rc.d/rc4.d/S80sendmail
ln -sf ../init.d/sendmail $RPM_BUILD_ROOT/etc/rc.d/rc5.d/S80sendmail
ln -sf ../init.d/sendmail $RPM_BUILD_ROOT/etc/rc.d/rc6.d/K30sendmail

cd $RPM_BUILD_ROOT
strip usr/sbin/mailstats usr/sbin/praliases usr/bin/rmail usr/sbin/sendmail
strip usr/bin/makemap

touch etc/aliases.db
chown root.mail etc/aliases.db
chmod 644 etc/aliases.db

%clean
rm -rf $RPM_BUILD_ROOT

%post
/usr/bin/newaliases > /dev/null
cd /etc/mail
/usr/bin/makemap hash deny < deny > /dev/null
/sbin/chkconfig --add sendmail

%postun
if [ $1 = 0 ]; then
   /sbin/chkconfig --del sendmail
fi

%files
%defattr(-,root,root)
/usr/sbin/mailstats
/usr/sbin/praliases
/usr/bin/hoststat
/usr/bin/purgestat
/usr/bin/rmail
/usr/bin/makemap
/usr/sbin/makemap
/usr/sbin/sendmail
/usr/bin/newaliases
/usr/bin/mailq
/usr/sbin/smrsh
/usr/lib/sendmail

/usr/man/man8/rmail.8
/usr/man/man8/praliases.8
/usr/man/man8/mailstats.8
/usr/man/man8/makemap.8
/usr/man/man8/sendmail.8
/usr/man/man5/aliases.5
/usr/man/man1/newaliases.1
/usr/man/man1/mailq.1

/var/log/sendmail.st
/usr/lib/sendmail.hf
%config /etc/sendmail.cf
%config /etc/sendmail.cw
%config /etc/aliases
%ghost /etc/aliases.db
%dir /var/spool/mqueue
%dir /etc/smrsh
%dir /etc/mail
%config /etc/mail/ip_allow
%config /etc/mail/name_allow
%config /etc/mail/relay_allow
%config /etc/mail/deny
%ghost /etc/mail/deny.db
%config /etc/sysconfig/sendmail

%config /etc/rc.d/init.d/sendmail
%config(missingok) /etc/rc.d/rc0.d/K30sendmail
%config(missingok) /etc/rc.d/rc1.d/K30sendmail
%config(missingok) /etc/rc.d/rc2.d/S80sendmail
%config(missingok) /etc/rc.d/rc3.d/S80sendmail
%config(missingok) /etc/rc.d/rc4.d/S80sendmail
%config(missingok) /etc/rc.d/rc5.d/S80sendmail
%config(missingok) /etc/rc.d/rc6.d/K30sendmail

%files cf
%defattr(-,root,root)
/usr/lib/sendmail-cf

%files doc
%defattr(-,root,root)
/usr/doc/sendmail

%changelog
* Mon Jul 05 1999 Mark Knox <mark.knox@rebel.com>
- Added the sendmail 8.9 "access_db" feature which replaces older check_*
  spam-control methods. The check_* rules seem to be broken in 8.9 and 
  should not be used.

* Wed Mar 24 1999 Douglas Paul <douglasp@netwinder.org>
- Temporary fix for NetWinder compiler problem
- Link fixes for newaliases, etc.

* Tue Mar 16 1999 Cristian Gafton <gafton@redhat.com>
- version 8.9.3

* Tue Dec 29 1998 Cristian Gafton <gafton@redhat.com>
- build for 6.0
- use the libdb1 stuff correctly

* Mon Sep 21 1998 Michael K. Johnson <johnsonm@redhat.com>
- Allow empty QUEUE in /etc/sysconfig/sendmail for those who
  want to run sendmail in daemon mode without processing the
  queue regularly.

* Thu Sep 17 1998 Michael K. Johnson <johnsonm@redhat.com>
- /etc/sysconfig/sendmail

* Fri Aug 28 1998 Jeff Johnson <jbj@redhat.com>
- recompile statically linked binary for 5.2/sparc

* Tue May 05 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Sat May 02 1998 Cristian Gafton <gafton@redhat.com>
- enhanced initscripts

* Fri May 01 1998 Cristian Gafton <gafton@redhat.com>
- added a rmail patch

* Wed Oct 29 1997 Donnie Barnes <djb@redhat.com>
- argh!  Fixed some of the db1 handling that had to be added for glibc 2.1

* Fri Oct 24 1997 Donnie Barnes <djb@redhat.com>
- added support for db1 on SPARC

* Thu Oct 16 1997 Donnie Barnes <djb@redhat.com>
- added chkconfig support
- various spec file cleanups
- changed group to Networking/Daemons (from Daemons).  Sure, it runs on
  non networked systems, but who really *needs* it then?

* Wed Oct 08 1997 Donnie Barnes <djb@redhat.com>
- made /etc/mail/deny.db a ghost
- removed preun that used to remove deny.db (ghost handles that now)
- NOTE: upgrading from the sendmail packages in 4.8, 4.8.1, and possibly
  4.9 (all Red Hat betas between 4.2 and 5.0) could cause problems.  You
  may need to do a makemap in /etc/mail and a newaliases after upgrading
  from those packages.  Upgrading from 4.2 or prior should be fine.

* Mon Oct 06 1997 Erik Troan <ewt@redhat.com>
- made aliases.db a ghost

* Tue Sep 23 1997 Donnie Barnes <djb@redhat.com>
- fixed preuninstall script to handle aliases.db on upgrades properly

* Mon Sep 15 1997 Donnie Barnes <djb@redhat.com>
- fixed post-install output and changed /var/spool/mqueue to 755

* Thu Sep 11 1997 Donnie Barnes <djb@redhat.com>
- fixed /usr/lib/sendmail-cf paths

* Tue Sep 09 1997 Donnie Barnes <djb@redhat.com>
- updated to 8.8.7
- added some spam filtration
- combined some makefile patches
- added BuildRoot support

* Wed Sep 03 1997 Erik Troan <ewt@redhat.com>
- marked initscript symlinks as missingok
- run newalises after creating /var/spool/mqueue

* Thu Jun 12 1997 Erik Troan <ewt@redhat.com>
- built against glibc, udated release to -6 (skipped -5!)

* Tue Apr 01 1997 Erik Troan <ewt@redhat.com>
- Added -nsl on the Alpha (for glibc to provide NIS functions).

* Mon Mar 03 1997 Erik Troan <ewt@redhat.com>
- Added nis support.
